Previous: lto-dump Intro, Up: lto-dump

### 13.2 Invoking `lto-dump`

         Usage: lto-dump [OPTION] ... objfiles

`lto-dump` accepts the following options:

`-list`
  Dumps list of details of functions and variables.
`-demangle`
  Dump the demangled output.
`-defined-only`
  Dump only the defined symbols.
`-print-value`
  Dump initial values of the variables.
`-name-sort`
  Sort the symbols alphabetically.
`-size-sort`
  Sort the symbols according to size.
`-reverse-sort`
  Dump the symbols in reverse order.
`-no-sort`
  Dump the symbols in order of occurrence.
`-symbol=`
  Dump the details of specific symbol.
`-objects`
  Dump the details of LTO objects.
`-type-stats`
  Dump the statistics of tree types.
`-tree-stats`
  Dump the statistics of trees.
`-gimple-stats`
  Dump the statistics of gimple statements.
`-dump-level=`
  For deciding the optimization level of body.
`-dump-body=`
  Dump the specific gimple body.
`-help`
  Display the dump tool help.